Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471588 - sci-electronics/oregano-0.69.1-r1 with sci-electronics/gnucap-0.35.20091207: stacksmashing on simulate
Summary: sci-electronics/oregano-0.69.1-r1 with sci-electronics/gnucap-0.35.20091207: ...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: The Soldering-Iron Brotherhood
URL:
Whiteboard:
Keywords:
Depends on: 644336
Blocks:
  Show dependency tree
 
Reported: 2013-05-28 12:00 UTC by Allan Wegan
Modified: 2019-05-31 22:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
A simple circuit (test.oregano,4.84 KB, application/xml)
2013-05-28 12:00 UTC, Allan Wegan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Wegan 2013-05-28 12:00:04 UTC
Created attachment 349436 [details]
A simple circuit

When trying to simulate a simple circuit using sci-electronics/oregano-0.69.1-r1 and sci-electronics/gnucap-0.35.20091207, oregano gets killed for stack smashing.



-----------
gdb oregano 
GNU gdb (Gentoo 7.5.1 p2) 7.5.1
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /usr/bin/oregano...Reading symbols from /usr/lib64/debug/usr/bin/oregano.debug...done.
done.
(gdb) run
Starting program: /usr/bin/oregano 
warning: Cannot call inferior functions, Linux kernel PaX protection forbids return to non-executable pages!

(oregano:20489): libglade-WARNING **: Could not load support for `canvas': libcanvas.so: cannot open shared object file: No such file or directory

(oregano:20489): libglade-WARNING **: unknown property `anti_aliased' for class `GnomeCanvas'

(oregano:20489): libglade-WARNING **: unknown property `scroll_x1' for class `GnomeCanvas'

(oregano:20489): libglade-WARNING **: unknown property `scroll_y1' for class `GnomeCanvas'

(oregano:20489): libglade-WARNING **: unknown property `scroll_x2' for class `GnomeCanvas'

(oregano:20489): libglade-WARNING **: unknown property `scroll_y2' for class `GnomeCanvas'

(oregano:20489): libglade-WARNING **: unknown property `pixels_per_unit' for class `GnomeCanvas'
*** stack smashing detected ***: oregano - terminated
oregano: stack smashing attack in function <unknown> - terminated
Report to http://bugs.gentoo.org/
[LWP 20489 exited]

Program terminated with signal SIGKILL, Killed.
The program no longer exists.
(gdb) 
-----------



-----------
emerge --info
Portage 2.1.11.62 (hardened/linux/amd64/no-multilib, gcc-4.6.3, glibc-2.15-r3, 3.7.0-hardened x86_64)
=================================================================
System uname: Linux-3.7.0-hardened-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    32910072 total,    375180 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Sun, 26 May 2013 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo localOverlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/bind"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC=""
USE="X acl alsa amd64 berkdb bzip2 caps cli cracklib crypt cups cxx dbus dri fontconfig gdbm gpm gtk gtk3 hardened iconv idn ipv6 justify libkms libnotify lock mmx modules mudflap ncurses nls nptl opengl openmp pam pax_kernel pcre readline session smp sndfile sse sse2 sse3 sse4 sse4_1 sse4a ssl startup-notification tcpd thunar truetype unicode urandom vaapi xinerama zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python3_2" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="nouveau radeon intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
-----------
Comment 1 Thomas Beierlein gentoo-dev 2013-05-28 17:04:35 UTC
Please retry with unstable oregano-0.82.
Comment 2 Allan Wegan 2013-05-29 01:30:41 UTC
(In reply to Thomas Beierlein from comment #1)
> Please retry with unstable oregano-0.82.

Simulation works with sci-electronics/oregano-0.82 after adding ~amd64-keywording it in package.keywords . But i understand, why it didn't officially got that keyword yet:

- Save does not always save schematics. I do not know, on what it depends. It gives no error message.

- Schematics editor most often does not recognize clicks/drags on parts and wires. Works a little bit better on higher zoom levels.

- It did not remeber simulation package choice. I had to always go to preferences before first simulation after application start.
Message in Terminal:
(oregano:24305): GLib-GIO-WARNING **: Can't find module 'dconf' specified in GSETTINGS_BACKEND
Fixed by emerging gnome-base/dconf-0.12.1 .
Should depend on that "dconf" thingy if its needed for proper function.
Comment 3 Thomas Beierlein gentoo-dev 2013-05-29 09:01:38 UTC
(In reply to Allan Wegan from comment #2)
> (In reply to Thomas Beierlein from comment #1)
> > Please retry with unstable oregano-0.82.
> 
> Simulation works with sci-electronics/oregano-0.82 after adding
> ~amd64-keywording it in package.keywords . But i understand, why it didn't
> officially got that keyword yet:

It has ~amd64 keyword, but is not stabilized yet. 
>  
> - Save does not always save schematics. I do not know, on what it depends.
> It gives no error message.

Works without problem here. Did you give it a name (Save as..)?

> 
> - Schematics editor most often does not recognize clicks/drags on parts and
> wires. Works a little bit better on higher zoom levels.
> 
Please report upstream.

> - It did not remeber simulation package choice. I had to always go to
> preferences before first simulation after application start.
> Message in Terminal:
> (oregano:24305): GLib-GIO-WARNING **: Can't find module 'dconf' specified in
> GSETTINGS_BACKEND
> Fixed by emerging gnome-base/dconf-0.12.1 .
> Should depend on that "dconf" thingy if its needed for proper function.

Ok. Thanks for that - will test and add if needed.
Comment 4 Thomas Beierlein gentoo-dev 2013-05-30 14:38:08 UTC
(In reply to Thomas Beierlein from comment #3)
> (In reply to Allan Wegan from comment #2)
> 
> > - It did not remeber simulation package choice. I had to always go to
> > preferences before first simulation after application start.
> > Message in Terminal:
> > (oregano:24305): GLib-GIO-WARNING **: Can't find module 'dconf' specified in
> > GSETTINGS_BACKEND
> > Fixed by emerging gnome-base/dconf-0.12.1 .
> > Should depend on that "dconf" thingy if its needed for proper function.
> 
> Ok. Thanks for that - will test and add if needed.

Fixed in actual oregano-0.82.

+  30 May 2013; Thomas Beierlein <tomjbe@gentoo.org> oregano-0.82.ebuild:
+  Add || (dconf gconf) to RDEPS (bug #471588, thanks Allan)
+
Comment 5 Allan Wegan 2013-06-01 18:40:06 UTC
> > - Save does not always save schematics. I do not know, on what it depends.
> > It gives no error message.
> 
> Works without problem here. Did you give it a name (Save as..)?

I had opened an already-existing file, did some schematics changes, and saved. In the next session the file contained the old version. But in later and previous sessions saving worked properly. I had dconf not installed then - so  it could have been a seldom-triggered side effect of not having dconf installed.

> > - Schematics editor most often does not recognize clicks/drags on parts and
> > wires. Works a little bit better on higher zoom levels.
> > 
> Please report upstream.

Looks, like someone did already:
https://github.com/marc-lorber/oregano/issues/3
Comment 6 Jonas Stein gentoo-dev 2019-05-31 22:39:59 UTC
There is only sci-electronics/gnucap-0.35.20091207 in the tree. So from your report oregano looks quite unusable to me. We should treeclean it probably.

please test and report your results with the fork 
sci-electronics/drahnr-oregano